petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscGetRealPath

Get the path without symbolic links etc. and in absolute form.

### Synopsis

    PetscErrorCode  PetscGetRealPath(const char path[],char rpath[])

Not Collective Many br

### Input Parameter

path -path to resolve Many br

### Output Parameter

rpath -resolved path Many br

Many br

### Notes

rpath is assumed to be of length PETSC_MAX_PATH_LEN. Many br

Systems that use the automounter often generate absolute paths Many brof the form "/tmp_mnt....". However, the automounter will fail to Many brmount this path if it is not already mounted, so we remove this from Many brthe head of the line. This may cause problems if, for some reason, Many br/tmp_mnt is valid and not the result of the automounter. Many br

### See Also

PetscGetFullPath()

Level:developer
Location:src/sys/fileio/grpath.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages